Summary:	A tool for determining compilation options
Summary(pl.UTF-8):	Narzędzie do ustalania opcji kompilacji
Summary(pt_BR.UTF-8):	Ferramenta para determinar opções de compilação
Summary(ru.UTF-8):	Инструмент для определения опций компиляции
Summary(uk.UTF-8):	Інструмент для визначення опцій компіляції
Name:		pkgconfig
Version:	0.27.1
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://pkgconfig.freedesktop.org/releases/pkg-config-%{version}.tar.gz
# Source0-md5:	5392b4e3372879c5bf856173b418d6a2
URL:		http://pkgconfig.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.16
BuildRequires:	libtool >= 2:2.2
Requires:	glib2 >= 1:2.16
Provides:	pkg-config = %{version}-%{release}
Provides:	pkgconfig(pkg-config) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
pkgconfig is a tool for determining compilation options. For each
required library it reads a configuration file installed in a standard
option and ouputs the necessary compiler and linker flags.

%description -l pl.UTF-8
pkgconfig jest programem używanym do uzyskiwania informacji o
zainstalowanych w systemie bibliotekach.

%description -l pt_BR.UTF-8
A ferramenta pkgconfig determina opções de compilação. Para cada
biblioteca requerida a ferramenta lê seus arquivos de configuração e
emite as opções necessárias para o compilador e ligador.

%description -l ru.UTF-8
pkgconfig - это инструмент для определения опций компиляции. Для
каждой необходимой библиотеки он считывает конфигурационный файл и
выдает необходимые флаги компилятора и линкера.

%description -l uk.UTF-8
pkgconfig - це інструмент для визначення опцій компіляції. Для кожної
необхідної бібліотеки він зчитує конфігураційний файл та видає
потрібні флаги компілятора та лінкера.

%prep
%setup -q -n pkg-config-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
GLIB_CFLAGS="-I/usr/include/glib-2.0 -I%{_libdir}/glib-2.0/include" \
GLIB_LIBS="-lglib-2.0" \
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4dir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README pkg-config-guide.html
%attr(755,root,root) %{_bindir}/pkg-config
%{_aclocaldir}/pkg.m4
%{_mandir}/man1/pkg-config.1*
%changelog
* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 783239b
- updated to 0.27.1

* Fri Jul 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 5d62578
- updated to 0.27; popt no longer used

* Fri Sep 30 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f354b7
- rel 4; typo

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> f152aae
- provide pkgconfig(pkg-config) for compatibility with "/usr/lib/rpm/pkgconfigdeps.sh"

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> 28ea6cf
- rel. 2

* Sun May 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> fcc7dd5
- applied upstream

* Sun May 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c48687c
- updated to 0.26
- use system popt

* Fri Nov 19 2010 hawk <hawk@pld-linux.org> 84a64b9
- release 4

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> ac495d4
- rel 3

* Wed Jul 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 75162f2
- added ac patch to fix pkg.m4 incompatibility with autoconf 2.66
- release 2

* Fri May 28 2010 Jakub Bogusz <qboosh@pld-linux.org> de172d1
- package pkg-config-guide as doc
- updated note: system popt is supported now

* Fri May 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 3a8fb2b
- updated to 0.25
- more verbose files

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> e177de4
- %undefine __cxx - to prevent configure from looking for c++ compiler

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 047403f
- updated to 0.23

* Sun Jun 24 2007 Jakub Bogusz <qboosh@pld-linux.org> d640b41
- updated to 0.22

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e7da9e0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 54f4192
- converted to UTF-8

* Mon Oct 30 2006 Elan Ruusamäe <glen@pld-linux.org> c81cf45
- pkgconfig dirs owned by filesystem; rel 2

* Fri Aug 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 96fab7d
- updated to 0.21

* Tue Oct 18 2005 Jakub Bogusz <qboosh@pld-linux.org> 966960f
- updated to 0.20

